
Auto Multiple Choice - Support # 826: Compilation MiKTeX au lieu de TeXLive WSL2

Status: New Priority: Normal
Author: Wihl Elm Category: LaTeX
Created: 05/10/2022 Assignee:
Updated: 05/12/2022 Due date:
Description: j'utilise AMC sur PC dans un Ubuntu 20.04 WSL2. Afin de pouvoir utiliser la distribution MiKTeX que j'utilise 

régulièrement et qui est déjà correctement configurée, et éviter de devoir bidouiller mon install TeXlive dans 
WSL2 qui nécessite que je réinstalle tout un tas de choses comme des polices, j'ai temporairement renommé 
mon /usr/bin/pdflatex en /usr/bin/pdflatex.bak et fait un lien /usr/bin/pdflatex vers "C:\Program Files\MiKTeX 
2.9\miktex\bin\x64\pdflatex.exe".

Hormis une alerte finale sur le automultiplechoice.sty qui ne serait pas dans la bonne version (alors que les 
deux versions indiquées dans le message d'erreur sont bien les deux mêmes), tout semble fonctionner 
correctement, jusqu'à la correction automatisée.

Donc malgré cette apparence de bon fonctionnement, se pourrait-il que cette bidouille pose problème dans 
des cas plus ou moins particuliers ? 

History
05/10/2022 02:08 pm - Alexis Bienvenüe
- Tracker changed from Bug to Support

05/10/2022 02:10 pm - Alexis Bienvenüe
- Target version deleted (1.6.0)

> un lien /usr/bin/pdflatex vers "C:\Program Files\MiKTeX 2.9\miktex\bin\x64\pdflatex.exe".
Êtes-vous sûr que ce pdflatex va bien chercher les fichiers sty et autres dans votre installation de MikTeX ? Ça vaut peut-être le coup de vérifier dans le 
fichier log présent dans votre répertoire projet.
> Hormis une alerte finale sur le automultiplechoice.sty qui ne serait pas dans la bonne version (alors que les deux versions indiquées dans le message 
d'erreur sont bien les deux mêmes)
Bizarre. Pouvez-vous poster une copie d'écran de ce message ?

05/10/2022 02:42 pm - Wihl Elm
- File Erreur_sty.png added

La voici

05/10/2022 02:50 pm - Wihl Elm
J'ai installé automultiplechoice dans une arborescence texmf locale, et c'est bien là qu'il va la chercher :
D:/texmf-local\tex/latex/automultiplechoice\automultiplechoice.sty

Bien sûr ça renvoie des chemins au format Windows et pas linux, d'où sans doute le "chemin du sty : unknown".

À part ça, tout semble fonctionner bien.

05/12/2022 03:26 pm - Wihl Elm
Après quelques essais avec ce "hack", je n'ai décelé aucun problème, si ce n'est ce message d'erreur entre la version du .sty et la version de AMC. Je 
l'ai juste ignoré.
(Test effectué sur 200 copies de 4 pages recto/verso avec des questions mélangées, construites à partir de variables également mélangées, et des 
réponses tout autant mélangées)

Peut-être qu'il faudra juste rajouter une conversion entre chemins windows et linux pour l'éliminer et mentionner cette astuce pour éviter une deuxième 
installation de LaTeX dans WSL2 quand une existe déjà dans le Windows natif.
